#! /bin/sh
################################################################################
# le 23/10/2007
# Attention ce fichier doit tre au  format Unix (Uniquement LF)
# Supprime les POI contenu dans le fichier /mnt/sdcard/opt/etc/DelPoi.lst
#	Editer /mnt/sdcard/opt/etc/DelPoi.txt avec le bloc-notes 
#
################################################################################
#
# - Variables -
#
sdmnt=/mnt/sdcard		     					# rpertoire carte SD monte
mapdir=`read a< /mnt/sdcard/CurrentMap.dat ;echo $a|cut -c2-`	 	# rpertoire carte (thank g.costa)
sdkrep=$sdmnt/sdkregistry	 					# rpertoire menu SDK
#
# Pouet pouet pour le fun
no_poi() {
	echo -e "PlaySoundFileV01|$sdmnt/opt/sound/nopoi.ogg|1|\0\c" > "/var/run/SDK.TomTomNavigationServer.$$.1.message"
	echo finish > "/var/run/SDK.TomTomNavigationServer.$$.1.finished"
	echo -e "FlashMessageV01|Pas de POI  DETRUIRE.|6000|\0\c" > "/var/run/SDK.TomTomNavigationServer.$$.2.message"
	echo finish > "/var/run/SDK.TomTomNavigationServer.$$.2.finished"
}

#  re initialisation du GO
#  Arrt relance de /bin/ttn +  svg fichier ttn et cleanup
traite_reboot() {
	for i in `ps -eo pid,args | grep "ttn" | grep -v grep| cut -c3-6`
	  do
            kill -9 $i
	  done
		if test -f $sdmnt/cleanup.txt ; then
	          mv $sdmnt/cleanup.txt $sdmnt/cleanup.svg
		fi
		if test -f $sdmnt/ttn ; then
	          mv $sdmnt/ttn $sdmnt/ttn.svg
		fi
		if test -f /mnt/sdcard/Debug.log; then
  	 	  /bin/ttn >>/mnt/sdcard/Debug.log &
		else
    		  /bin/ttn  &
 		fi
}
#
# - Boucle principale -
#
# destruction des POI

  if test -s $sdmnt/opt/etc/DelPoi.txt ; then
	strings -n 2 $sdmnt/opt/etc/DelPoi.txt > $sdmnt/opt/etc/Poi.temp 		# On vire les 0d (fichier dit windows)
	line1=`cat $sdmnt/opt/etc/Poi.temp  | head -n1`
  	  if [ "A$line1" = "AEOF" ] ; then
	    no_poi
	  else
	    echo -e "PlaySoundFileV01|$sdmnt/opt/sound/rmpoi.ogg|1|\0\c">"/var/run/SDK.TomTomNavigationServer.$$.1.message"
	    echo finish > "/var/run/SDK.TomTomNavigationServer.$$.1.finished"
            grep EOF $sdmnt/opt/etc/Poi.temp > /dev/null 2> /dev/null
	      if test "${?}" = "0" ; then						# on conserve les donnes si EOF 
		#Sauvegarde de DelPoi
			mv $sdkrep/DelPoi.* $sdmnt/opt/tmp/backup
			mv $sdmnt/opt/bin/DelPoi.sh $sdmnt/opt/tmp/backup
			mv $sdmnt/opt/etc/DelPoi.txt $sdmnt/opt/tmp/backup
			mv $sdmnt/opt/sound/nopoi.ogg $sdmnt/opt/tmp/backup
			  if test -s $sdmnt/LisezMoi.txt ; then
			    rm $sdmnt/LisezMoi.txt
			  fi
		#Sauvegarde des POI
		  cat $sdmnt/opt/etc/Poi.temp | while read line
		    do
	    	      cd "$mapdir"
			mv "$line.ov2" $sdmnt/opt/tmp/backup
			mv "$line.bmp" $sdmnt/opt/tmp/backup
			mv "$line.ogg" $sdmnt/opt/tmp/backup
	  	    done
		#On prpare la remise en tat
		  mv $sdmnt/opt/tmp/backup.bmp $sdkrep
		  mv $sdmnt/opt/tmp/backup.cap $sdkrep
		  mv $sdmnt/opt/tmp/backup.sh $sdmnt/opt/bin
		  rm $sdmnt/opt/etc/Poi.temp
		traite_reboot
	      else
		  cat $sdmnt/opt/etc/Poi.temp | while read line
		    do 
	    	      cd "$mapdir"
			rm "$line.ov2"
			rm "$line.bmp"
			rm "$line.ogg"
	  	    done
		#destruction de DelPoi
			rm $sdkrep/DelPoi.*
			rm $sdmnt/opt/bin/DelPoi.sh
			rm $sdmnt/opt/etc/DelPoi.txt
			rm $sdmnt/opt/etc/Poi.temp
			rm $sdmnt/opt/sound/rmpoi.ogg
			rm $sdmnt/opt/sound/nopoi.ogg
			  if test -s $sdmnt/LisezMoi.txt ; then
			    rm $sdmnt/LisezMoi.txt
			  fi
			rm $sdmnt/opt/tmp/backup.bmp
			rm $sdmnt/opt/tmp/backup.cap
			rm $sdmnt/opt/tmp/backup.sh
		traite_reboot
	      fi
	  fi  
    else
	no_poi
    fi
exit
#EOF
